<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>BlockCategory (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BlockCategory (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/block/BlockCategories.html" title="class in com.sk89q.worldedit.world.block"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/block/BlockCategory.html" target="_top">Frames</a></li>
<li><a href="BlockCategory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.world.block</div>
<h2 title="Class BlockCategory" class="title">Class BlockCategory</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/sk89q/worldedit/registry/Category.html" title="class in com.sk89q.worldedit.registry">com.sk89q.worldedit.registry.Category</a>&lt;<a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a>&gt;</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.world.block.BlockCategory</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/registry/Keyed.html" title="interface in com.sk89q.worldedit.registry">Keyed</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">BlockCategory</span>
extends <a href="../../../../../com/sk89q/worldedit/registry/Category.html" title="class in com.sk89q.worldedit.registry">Category</a>&lt;<a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a>&gt;
implements <a href="../../../../../com/sk89q/worldedit/registry/Keyed.html" title="interface in com.sk89q.worldedit.registry">Keyed</a></pre>
<div class="block">A category of blocks. This is due to the splitting up of
 blocks such as wool into separate ids.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/sk89q/worldedit/registry/NamespacedRegistry.html" title="class in com.sk89q.worldedit.registry">NamespacedRegistry</a>&lt;<a href="../../../../../com/sk89q/worldedit/world/block/BlockCategory.html" title="class in com.sk89q.worldedit.world.block">BlockCategory</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockCategory.html#REGISTRY">REGISTRY</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.sk89q.worldedit.registry.Category">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.sk89q.worldedit.registry.<a href="../../../../../com/sk89q/worldedit/registry/Category.html" title="class in com.sk89q.worldedit.registry">Category</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/registry/Category.html#id">id</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockCategory.html#BlockCategory-java.lang.String-">BlockCategory</a></span>(java.lang.String&nbsp;id)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>&lt;B extends <a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;B&gt;&gt;<br>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockCategory.html#contains-B-">contains</a></span>(B&nbsp;blockStateHolder)</code>
<div class="block">Checks whether the BlockStateHolder is contained within
 this category.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected java.util.Set&lt;<a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/block/BlockCategory.html#load--">load</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.registry.Category">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.registry.<a href="../../../../../com/sk89q/worldedit/registry/Category.html" title="class in com.sk89q.worldedit.registry">Category</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/registry/Category.html#contains-T-">contains</a>, <a href="../../../../../com/sk89q/worldedit/registry/Category.html#getAll--">getAll</a>, <a href="../../../../../com/sk89q/worldedit/registry/Category.html#getId--">getId</a>, <a href="../../../../../com/sk89q/worldedit/registry/Category.html#invalidateCache--">invalidateCache</a>, <a href="../../../../../com/sk89q/worldedit/registry/Category.html#toString--">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.registry.Keyed">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.registry.<a href="../../../../../com/sk89q/worldedit/registry/Keyed.html" title="interface in com.sk89q.worldedit.registry">Keyed</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/registry/Keyed.html#getId--">getId</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="REGISTRY">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>REGISTRY</h4>
<pre>public static final&nbsp;<a href="../../../../../com/sk89q/worldedit/registry/NamespacedRegistry.html" title="class in com.sk89q.worldedit.registry">NamespacedRegistry</a>&lt;<a href="../../../../../com/sk89q/worldedit/world/block/BlockCategory.html" title="class in com.sk89q.worldedit.world.block">BlockCategory</a>&gt; REGISTRY</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BlockCategory-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BlockCategory</h4>
<pre>public&nbsp;BlockCategory(java.lang.String&nbsp;id)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="load--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>load</h4>
<pre>protected&nbsp;java.util.Set&lt;<a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a>&gt;&nbsp;load()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/registry/Category.html#load--">load</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../com/sk89q/worldedit/registry/Category.html" title="class in com.sk89q.worldedit.registry">Category</a>&lt;<a href="../../../../../com/sk89q/worldedit/world/block/BlockType.html" title="class in com.sk89q.worldedit.world.block">BlockType</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="contains-com.sk89q.worldedit.world.block.BlockStateHolder-">
<!--   -->
</a><a name="contains-B-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>contains</h4>
<pre>public&nbsp;&lt;B extends <a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;B&gt;&gt;&nbsp;boolean&nbsp;contains(B&nbsp;blockStateHolder)</pre>
<div class="block">Checks whether the BlockStateHolder is contained within
 this category.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>blockStateHolder</code> - The blockstateholder</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>If it's a part of this category</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/block/BlockCategories.html" title="class in com.sk89q.worldedit.world.block"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/world/block/BlockState.html" title="class in com.sk89q.worldedit.world.block"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/block/BlockCategory.html" target="_top">Frames</a></li>
<li><a href="BlockCategory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
